/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.qrscanner.gui.action;

import de.frankmuenster.jameica.qrscanner.Settings;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Aktionshandler fr starten eines neuen AboutDialog Dialog Fensters Implements
 * {@link de.willuhn.jameica.gui.Action}
 *
 * @author Frank Mnster
 */
public class AboutAction implements Action {

	/**
	 * Standardkonstruktor
	 */
	public AboutAction() {
		// Absichtlich leer
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {
		try {
			new de.frankmuenster.jameica.qrscanner.gui.dialog.AboutDialog(AbstractDialog.POSITION_CENTER).open();
		} catch (final ApplicationException ae) { // NOPMD 
			throw ae;
		} catch (final Exception e) { // NOPMD 
			Logger.error("error while opening about dialog", e);
			throw new ApplicationException(Settings.getI18n().tr("Error while opening the About dialog"), e);
		}
	}
}
